"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlSection = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
var Typography_1 = require("onyxia-ui/Typography");
var react_1 = require("react");
var tss_react_1 = require("tss-react");
var theme_1 = require("../theme");
var powerhooks_1 = require("powerhooks");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme) { return ({
        "root": __assign({ "position": "relative" }, (function () {
            var valueTopBottom = theme.spacing(8);
            var valueLeftRight = theme.spacing(4);
            return {
                "paddingTop": valueTopBottom,
                "paddingBottom": valueTopBottom,
                "paddingLeft": valueLeftRight,
                "paddingRight": valueLeftRight,
            };
        })()),
        "title": __assign({ "fontSize": "40px", "textAlign": "center", "marginBottom": theme.spacing(7.5) }, (theme.responsive.down("lg")
            ? {
                "fontSize": "24px",
                "lineHeight": "32px",
            }
            : {})),
        "articleAndImageWrapper": {
            "display": "grid",
            "gridTemplateColumns": "repeat(2, 1fr)",
            "marginTop": theme.spacing(8),
            "alignItems": "center",
            "gap": theme.spacing(4),
        },
    }); }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.GlSection = react_1.memo(function (props) {
    var className = props.className, heading = props.heading, aside = props.aside, article = props.article;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({}).classNames;
    return (jsx_runtime_1.jsxs("section", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [heading && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ className: classNames.title, variant: "h2" }, { children: heading }), void 0)),
            jsx_runtime_1.jsxs("div", __assign({ className: classNames.articleAndImageWrapper }, { children: [article, aside] }), void 0)] }), void 0));
});
//# sourceMappingURL=GlSection.js.map